Package org.apache.sysds.runtime.matrix.operators

# Class AggregateBinaryOperator

java.lang.Object
org.apache.sysds.runtime.matrix.operators.Operator
org.apache.sysds.runtime.matrix.operators.MultiThreadedOperator
org.apache.sysds.runtime.matrix.operators.AggregateBinaryOperator

All Implemented Interfaces:
  `Serializable`

public class AggregateBinaryOperator extends MultiThreadedOperator

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`final AggregateOperator`
`aggOp`
`final ValueFunction`
`binaryFn`

### Fields inherited from class org.apache.sysds.runtime.matrix.operators.Operator

`sparseSafe`

## Constructor Summary

Constructors
Constructor
Description
`AggregateBinaryOperator(ValueFunction inner, AggregateOperator outer)`
`AggregateBinaryOperator(ValueFunction inner, AggregateOperator outer, int numThreads)`

## Method Summary

### Methods inherited from class org.apache.sysds.runtime.matrix.operators.MultiThreadedOperator

`getNumThreads, setNumThreads`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### binaryFn

public final ValueFunction binaryFn

### aggOp

public final AggregateOperator aggOp

## Constructor Details

### AggregateBinaryOperator

public AggregateBinaryOperator(ValueFunction inner, AggregateOperator outer)

### AggregateBinaryOperator

public AggregateBinaryOperator(ValueFunction inner, AggregateOperator outer, int numThreads)